# UPIPE_Stream.h File Reference

`#include "ace/Stream.h"`
`#include "ace/SPIPE.h"`
`#include "ace/Message_Queue.h"`
`#include "ace/UPIPE_Addr.h"`
`#include "ace/UPIPE_Stream.inl"`

Include dependency graph for UPIPE_Stream.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_UPIPE_Stream
| Defines the method that transfer data on a UPIPE. More...

## Detailed Description

Id
  UPIPE_Stream.h,v 4.21 2005/12/12 02:11:51 ossama Exp

Author:
  Gerhard Lenzer

  Douglas C. Schmidt